Bug 1372693 - [RFE]Reducing number of network round trips
Summary: [RFE]Reducing number of network round trips
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: replicate
Version: 3.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 1290304
Blocks: 1274908 1360978 1372686
TreeView+ depends on / blocked
 
Reported: 2016-09-02 12:06 UTC by Krutika Dhananjay
Modified: 2017-11-07 10:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1290304
Environment:
Last Closed: 2017-11-07 10:37:11 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Krutika Dhananjay 2016-09-02 12:06:57 UTC
+++ This bug was initially created as a clone of Bug #1290304 +++

Description of problem:
In the unoptimized version of transaction we have: 1) Lock,
2) Pre-op 3) op 4) Post-op 5) unlock
With compound fops we will have:
1) Lock, 2) Pre-op + op 3) post-op + unlock
This reduces round trips from 5 to 3 in the un-optimized version 
of afr-transaction.

This helps in small file write workload.
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Vijay Bellur on 2016-08-09 03:17:44 EDT ---

REVIEW: http://review.gluster.org/15014 (afr: Consume compound fops in afr transaction) posted (#2) for review on master by Anuradha Talur (atalur@redhat.com)

--- Additional comment from Worker Ant on 2016-08-25 07:03:06 EDT ---

REVIEW: http://review.gluster.org/15014 (afr: Consume compound fops in afr transaction) posted (#3) for review on master by Anuradha Talur (atalur@redhat.com)

--- Additional comment from Worker Ant on 2016-08-31 09:27:15 EDT ---

REVIEW: http://review.gluster.org/15014 (afr: Consume compound fops in afr transaction) posted (#4) for review on master by Anuradha Talur (atalur@redhat.com)

--- Additional comment from Worker Ant on 2016-08-31 19:48:01 EDT ---

REVIEW: http://review.gluster.org/15014 (afr: Consume compound fops in afr transaction) posted (#5) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

--- Additional comment from Worker Ant on 2016-09-01 13:22:44 EDT ---

COMMIT: http://review.gluster.org/15014 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit befae0b48729894282b5b8b174907e24779c3442
Author: Anuradha Talur <atalur@redhat.com>
Date:   Thu Aug 25 11:46:25 2016 +0530

    afr: Consume compound fops in afr transaction
    
    Change-Id: Ib06ece3cce1b10d28d6d2953da28444f5c2457ad
    BUG: 1290304
    Signed-off-by: Anuradha Talur <atalur@redhat.com>
    Reviewed-on: http://review.gluster.org/15014
    Tested-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 1 Worker Ant 2016-09-02 13:32:47 UTC
REVIEW: http://review.gluster.org/15389 (infra: remove anti-typedef check) posted (#1) for review on release-3.8 by Krutika Dhananjay (kdhananj@redhat.com)

Comment 2 Worker Ant 2016-09-02 14:22:57 UTC
REVIEW: http://review.gluster.org/15389 (infra: remove anti-typedef check.) posted (#2) for review on release-3.8 by Krutika Dhananjay (kdhananj@redhat.com)

Comment 3 Worker Ant 2016-09-02 14:23:00 UTC
REVIEW: http://review.gluster.org/15394 (protocol/client: fix coding style violations) posted (#1) for review on release-3.8 by Krutika Dhananjay (kdhananj@redhat.com)

Comment 4 Worker Ant 2016-09-02 14:23:03 UTC
REVIEW: http://review.gluster.org/15395 (compound fops: Some fixes to compound fops framework) posted (#1) for review on release-3.8 by Krutika Dhananjay (kdhananj@redhat.com)

Comment 5 Worker Ant 2016-09-02 14:23:06 UTC
REVIEW: http://review.gluster.org/15396 (afr: Consume compound fops in afr transaction) posted (#1) for review on release-3.8 by Krutika Dhananjay (kdhananj@redhat.com)

Comment 6 Worker Ant 2016-09-06 05:30:07 UTC
REVIEW: http://review.gluster.org/15396 (afr: Consume compound fops in afr transaction) posted (#2) for review on release-3.8 by Krutika Dhananjay (kdhananj@redhat.com)

Comment 7 Worker Ant 2016-09-06 05:30:30 UTC
REVIEW: http://review.gluster.org/15395 (compound fops: Some fixes to compound fops framework) posted (#2) for review on release-3.8 by Krutika Dhananjay (kdhananj@redhat.com)

Comment 8 Worker Ant 2016-09-06 14:28:36 UTC
REVIEW: http://review.gluster.org/15389 (infra: remove anti-typedef check.) posted (#3) for review on release-3.8 by Niels de Vos (ndevos@redhat.com)

Comment 9 Worker Ant 2016-09-07 14:11:55 UTC
REVIEW: http://review.gluster.org/15394 (protocol/client: fix coding style violations) posted (#2) for review on release-3.8 by Niels de Vos (ndevos@redhat.com)

Comment 10 Niels de Vos 2016-09-12 05:37:36 UTC
All 3.8.x bugs are now reported against version 3.8 (without .x). For more information, see http://www.gluster.org/pipermail/gluster-devel/2016-September/050859.html

Comment 11 Worker Ant 2016-10-25 06:15:42 UTC
REVIEW: http://review.gluster.org/15389 (infra: remove anti-typedef check.) posted (#4) for review on release-3.8 by Krutika Dhananjay (kdhananj@redhat.com)

Comment 12 Worker Ant 2016-10-25 06:15:45 UTC
REVIEW: http://review.gluster.org/15395 (compound fops: Some fixes to compound fops framework) posted (#3) for review on release-3.8 by Krutika Dhananjay (kdhananj@redhat.com)

Comment 13 Worker Ant 2016-10-25 06:15:49 UTC
REVIEW: http://review.gluster.org/15394 (protocol/client: fix coding style violations) posted (#3) for review on release-3.8 by Krutika Dhananjay (kdhananj@redhat.com)

Comment 14 Worker Ant 2016-10-25 06:15:54 UTC
REVIEW: http://review.gluster.org/15396 (afr: Consume compound fops in afr transaction) posted (#3) for review on release-3.8 by Krutika Dhananjay (kdhananj@redhat.com)

Comment 15 Niels de Vos 2017-11-07 10:37:11 UTC
This bug is getting closed because the 3.8 version is marked End-Of-Life. There will be no further updates to this version. Please open a new bug against a version that still receives bugfixes if you are still facing this issue in a more current release.


Note You need to log in before you can comment on or make changes to this bug.